Create
curl --request POST \
--url https://{defaultHost}/v1/swaps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"swap": {
"description": "Swap and save 20%!",
"price": "64ec9ecc-2966-462d-86aa-4626d5a303a4",
"swap_price": "b414afb2-e027-4c3b-9b5c-eda99af3ada0"
}
}
'import requests
url = "https://{defaultHost}/v1/swaps"
payload = { "swap": {
"description": "Swap and save 20%!",
"price": "64ec9ecc-2966-462d-86aa-4626d5a303a4",
"swap_price": "b414afb2-e027-4c3b-9b5c-eda99af3ada0"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
swap: {
description: 'Swap and save 20%!',
price: '64ec9ecc-2966-462d-86aa-4626d5a303a4',
swap_price: 'b414afb2-e027-4c3b-9b5c-eda99af3ada0'
}
})
};
fetch('https://{defaultHost}/v1/swaps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/swaps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'swap' => [
'description' => 'Swap and save 20%!',
'price' => '64ec9ecc-2966-462d-86aa-4626d5a303a4',
'swap_price' => 'b414afb2-e027-4c3b-9b5c-eda99af3ada0'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/swaps"
payload := strings.NewReader("{\n \"swap\": {\n \"description\": \"Swap and save 20%!\",\n \"price\": \"64ec9ecc-2966-462d-86aa-4626d5a303a4\",\n \"swap_price\": \"b414afb2-e027-4c3b-9b5c-eda99af3ada0\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{defaultHost}/v1/swaps")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"swap\": {\n \"description\": \"Swap and save 20%!\",\n \"price\": \"64ec9ecc-2966-462d-86aa-4626d5a303a4\",\n \"swap_price\": \"b414afb2-e027-4c3b-9b5c-eda99af3ada0\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/swaps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"swap\": {\n \"description\": \"Swap and save 20%!\",\n \"price\": \"64ec9ecc-2966-462d-86aa-4626d5a303a4\",\n \"swap_price\": \"b414afb2-e027-4c3b-9b5c-eda99af3ada0\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "54e4156a-9e37-4526-8674-31a7fa5f812e",
"object": "swap",
"archived": false,
"archived_at": null,
"description": "Swap and save 20%!",
"metadata": {},
"price": "64ec9ecc-2966-462d-86aa-4626d5a303a4",
"swap_price": "b414afb2-e027-4c3b-9b5c-eda99af3ada0",
"discarded_at": null,
"created_at": 1793797013,
"updated_at": 1793797013
}Swaps
Create
Creates a new swap.
POST
/
v1
/
swaps
Create
curl --request POST \
--url https://{defaultHost}/v1/swaps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"swap": {
"description": "Swap and save 20%!",
"price": "64ec9ecc-2966-462d-86aa-4626d5a303a4",
"swap_price": "b414afb2-e027-4c3b-9b5c-eda99af3ada0"
}
}
'import requests
url = "https://{defaultHost}/v1/swaps"
payload = { "swap": {
"description": "Swap and save 20%!",
"price": "64ec9ecc-2966-462d-86aa-4626d5a303a4",
"swap_price": "b414afb2-e027-4c3b-9b5c-eda99af3ada0"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
swap: {
description: 'Swap and save 20%!',
price: '64ec9ecc-2966-462d-86aa-4626d5a303a4',
swap_price: 'b414afb2-e027-4c3b-9b5c-eda99af3ada0'
}
})
};
fetch('https://{defaultHost}/v1/swaps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/swaps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'swap' => [
'description' => 'Swap and save 20%!',
'price' => '64ec9ecc-2966-462d-86aa-4626d5a303a4',
'swap_price' => 'b414afb2-e027-4c3b-9b5c-eda99af3ada0'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/swaps"
payload := strings.NewReader("{\n \"swap\": {\n \"description\": \"Swap and save 20%!\",\n \"price\": \"64ec9ecc-2966-462d-86aa-4626d5a303a4\",\n \"swap_price\": \"b414afb2-e027-4c3b-9b5c-eda99af3ada0\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{defaultHost}/v1/swaps")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"swap\": {\n \"description\": \"Swap and save 20%!\",\n \"price\": \"64ec9ecc-2966-462d-86aa-4626d5a303a4\",\n \"swap_price\": \"b414afb2-e027-4c3b-9b5c-eda99af3ada0\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/swaps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"swap\": {\n \"description\": \"Swap and save 20%!\",\n \"price\": \"64ec9ecc-2966-462d-86aa-4626d5a303a4\",\n \"swap_price\": \"b414afb2-e027-4c3b-9b5c-eda99af3ada0\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "54e4156a-9e37-4526-8674-31a7fa5f812e",
"object": "swap",
"archived": false,
"archived_at": null,
"description": "Swap and save 20%!",
"metadata": {},
"price": "64ec9ecc-2966-462d-86aa-4626d5a303a4",
"swap_price": "b414afb2-e027-4c3b-9b5c-eda99af3ada0",
"discarded_at": null,
"created_at": 1793797013,
"updated_at": 1793797013
}Authorizations
Response
200 - application/json
Success
Was this page helpful?